if not Recompense then
	Recompense = {}
end

function Recompense.RecycleTable(table) -- empty a table by setting its keys to nil
	for k in pairs(table) do
		table[k] = nil
	end
end

function Recompense.ShowTableContents(table) -- debug function to dump a table, not very sophisticated and doesn't handle nested tables well
	for k, v in pairs(table) do
		if type(v) ~= "table" then
			print(format("Key '%s' has value '%s'.", k, v))
		else
			print(format("Key '%s' has a table value.", k))
			for subKey, subValue in pairs(v) do
				print(format("Table in '%s':  Key '%s' has value '%s'.", k, subKey, subValue))
			end
		end
	end
end

function Recompense.CheckBuffsAgainstTable(table) -- given a table of buff names, returns the name of a buff if it is present on the player.  If none of the buffs on the table are present on the player, it returns nil.
	local buffs, name, buffMatched = 0
	repeat
		buffs = buffs + 1
		name = UnitBuff("player", buffs)
		for _, v in pairs(table) do
			if name == v then
				buffMatched = name
				break
			end
		end
		if buffMatched then
			break
		end
	until not name
	return buffMatched
end